# frozen_string_literal: true

Rails.application.routes.draw do
  resources :users
  get 'login', to: 'sessions#new'
  get 'logout', to: 'sessions#delete'
  post 'login', to: 'sessions#create'
  get 'welcome', to: 'sessions#welcome'
  get 'password_recovery_request', to: 'users#password_recovery_request_form'
  post 'password_recovery_request', to: 'users#password_recovery_request'
  get 'recover_password/:id/:recovery_password', to: 'users#recover_password_form'
  post 'recover_password', to: 'users#recover_password'
  post 'user/:id/block', to: 'users#block'
  post 'book/:id/add_to_cart', to: 'books#add_to_cart'
  get 'shopping_cart', to: 'books#shopping_cart'

  resources :books
  resources :authors
end
